package theory;

/**
 *
 * @author Lefteris Moussiades
 */
public class BasicFlow {

    static void askisi3() {
        for (int i = 0; i < 1000; i += 3) {
            if (Math.sqrt(i) % 1 == 0) {
                System.out.println(i);
            }
        }

    }

    /**
     * Demo of simple for loop
     */
    static void loop01() {
        for (int i = 0; i < 10; i++) {
            System.out.println(i);
        }
    }

    static void loop021() {

        for (int i = 0; i < 10; System.out.println(i++)) {
            System.out.println("John");
        }

    }

    static void loop12() {
        for (double d = 0; d < 3.5; d += 0.5) {
            System.out.println(d);
        }
    }

    static void loop13() {
        for (char c = 'A'; c <= 'Z'; c++) {
            System.out.println(c + " Unicode value= " + (int) c);
        }
    }

    static void loop14() {
        int i = 0;
        for (;;) {
            System.out.println("Hello" + i++);
            if (i == 20) {
                break;
            }
        }
        System.out.println(i);
    }

    /**
     * Simple while
     */
    static boolean check(int k) {
        return k < 5;
    }

    static void loop02() {
        int i = 0;
        while (i < 5) {
            System.out.println(i);
            if (i == 3) {
                continue;
            }
            i++;
            if (i == 5) {
                break;
            }
        } //end while
        System.out.println("");
    }

    /**
     * Simple do loop
     */
    static void loop03() {
        int i = 11;
        do {
            i++;
            System.out.println(i);
            if (i == 12) {
                continue;
            }
        } while (i < 10);
    }

    /**
     * Simple if...else statement
     *
     * @param b
     */
    static void choice01() {
        int k = 6;
        if (k < 5) {
            System.out.println("Hello");
        } else if (k == 5 || k == 7) {
            System.out.println("Go away!");
        } else {
            System.out.println("Nothing");
        }
    }

    static void choice012() {
        int k = 6;
        if (k < 5) {
            System.out.println("Hello");
        };
        if (k == 5 || k == 7) {
            System.out.println("Go away!");
        };
        if (k == 6 || k > 7) {
            System.out.println("Nothing");
        }
    }

    /**
     * switch...case
     */
    static void choice02() {
        int i = 14;
        int k = 4;
        switch (i) {

            case 1:
                System.out.println(1);
            //break;
            case 2:
                System.out.println(2);
            //break;
            case 3:
                System.out.println(3);
                break;
            case 4:
                System.out.println(4);
            case 5:
                System.out.println(5);
                break;
            default:
                System.out.println("default");
                
        }
    }

    static void choice03() {
        String s = new String("Γιάννης");
        switch (s) {
            case "Γιάννης":
                System.out.println("Geia sou");
                break;
            case "Jack":
                System.out.println("Hello");
                break;
            default:
                System.out.println("default");
        }
    }

    /*
    2.	Να γράψετε πρόγραμμα που τυπώνει 
        όλους τους αριθμούς από το 0..100 που διαιρούνται ακριβώς με το 4, το 6 και το 8.
     */
    public static void x2() {
        for (int i = 4; i <= 100; i += 4) {
            if (i % 6 == 0 && i % 8 == 0) {
                System.out.print(i + " ");
            }
        }
        System.out.println("");
    }

    /*
    3.	Να γράψετε πρόγραμμα που τυπώνει όσους αριθμούς στην περιοχή 0..1000 
    είναι πολλαπλάσια του 3 και ταυτοχρόνως τέλεια τετράγωνα, δηλ. η τετραγωνική 
    τους ρίζα είναι ακέραιος. Σημείωση: Η τετραγωνική ρίζα μιας αριθμητικής 
    μεταβλητής i δίνεται από την συνάρτηση sqrt της κλάσης Math : Math.sqrt(i)
    
     */
    static void x3() {
        for (int i = 3; i < 1000; i += 3) {
            if (Math.sqrt(i) % 1 == 0) {
                System.out.println(i + " " + Math.sqrt(i));
            }
        }
        System.out.println("");
    }

    public static void main(String[] args) {
        //x3();
//askisi3();
        //loop03();
        //loop01();
        //loop021();
        //loop12();
        //loop13();
        //loop14();
        //choice02();
        choice03();
        //g();
    }

}
